﻿@model List<ForumSectionViewModel>

<div style="display: flex; align-items: center; justify-content: space-between;">
    <h2>Список форумов</h2>
    <a asp-controller="Forum" asp-action="Create">Создать</a>
</div>
<div class="list-group">
@foreach (ForumSectionViewModel forum in Model)
    {
        <div class="list-group-item" style="display: flex; justify-content:space-between;">
            <div style="display: flex;">
                <a asp-controller="Forum" asp-action="Details" asp-route-id="@forum.Id" style="margin-right: 40px;">@forum.Name</a>
                <div>@forum.Description</div>
            </div>
            
            <div style="display: flex;">
                <a asp-controller="Forum" asp-action="Edit" asp-route-id="@forum.Id">Редактировать</a>
                <p style="margin: 0; width: fit-content;"> | </p>
                <a asp-controller="Forum" asp-action="Delete" asp-route-id="@forum.Id">Удалить</a>
            </div>
        </div>
    }
</div>
